Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class CustomValidationFailure

    java.lang.Object
      |
      +--oracle.apps.cz.cio.StatusInfo
            |
            +--oracle.apps.cz.cio.ValidationFailure
                  |
                  +--oracle.apps.cz.cio.CustomValidationFailure

public class CustomValidationFailure
extends ValidationFailure

User-created failure with one life cycle.

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Fields inherited from class oracle.apps.cz.cio.ValidationFailure
`COMPANION_FAILURE, CUSTOM_FAILURE, LAST_REQUIRED_BOMCHILD_DELETED, MAX_FAILURE, MIN_FAILURE, MIN0_FAILURE, MINMAX_FAILURE, RESOURCE_FAILURE, RESTORE_FAILURE, TEXT_VALUE_EXCEED_MAX_LENGTH`

Fields inherited from class oracle.apps.cz.cio.StatusInfo
`STATUS_DELETED, STATUS_EXISTING, STATUS_NEW, STATUS_REMOVED`

Constructor Summary
`CustomValidationFailure(java.lang.String message, oracle.apps.cz.cio.RuntimeNode rtNode)`
`CustomValidationFailure(java.lang.String message, oracle.apps.cz.cio.RuntimeNode rtNode, boolean willPersist)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`void` | `removeCustomValidationFailure()` Removes a CustomValidationFailure.

Methods inherited from class oracle.apps.cz.cio.ValidationFailure
`getMessage, getMessage, getReasons, getType, toString`

Methods inherited from class oracle.apps.cz.cio.StatusInfo
`getNode, getStatus, hashCode, statusToString, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Constructor Detail

### CustomValidationFailure

    public CustomValidationFailure(java.lang.String message,
                                   oracle.apps.cz.cio.RuntimeNode rtNode,
                                   boolean willPersist)

### CustomValidationFailure

    public CustomValidationFailure(java.lang.String message,
                                   oracle.apps.cz.cio.RuntimeNode rtNode)

Method Detail

### removeCustomValidationFailure

    public void removeCustomValidationFailure()

  Removes a CustomValidationFailure. This is the only way for removing CustomValidationFailure that will persist (lifeCycle > 1)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `ValidationFailure`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.